<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>HW3 - Classes</title>
</head>
<body>

<script src="js/script.js"></script>
</body>
</html>

<!--// Обьясните своими словами, как вы понимаете, как работает прототипное наследование в Javascript-->

<!--Каждый обьект в джаваскрипт имеет прототип обьекта, от которого он был создан.-->
<!--Это означает, что он наследует все методы своего родителя (также может наследовать свойства).-->
<!--Главным родителем любого обьекта в джаваскрипте есть Object. Цепочка наследования может быть сколько-->
<!--угодно длинной.-->

<!--Наследование является полезным, когда нам нужно создать множество однотипных обьектов, имеющих -->
<!--одинаковый набор методов и/или свойств. Во-первых, если нам нужно будет модифицировать какие-то из-->
<!--методов/свойст, мы сделаем это в одном месте, а не будем вносить изменения в каждом обьекте по -->
<!--отдельности. Во-вторых, когда мы будем писать код, который должен взаимодейсвовать с нашими обьектами,-->
<!--мы сможем быть уверенными в том, что он отработает на каждом из обьектов одинаково.-->